Bug 864838 - Can't support deleting cartridges without specifying the version number
Can't support deleting cartridges without specifying the version number
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 04:50 EDT by Rony Gong
Modified: 2015-05-14 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 12:31:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-10-10 04:50:42 EDT
Description of problem:
now we doesn't support removing  cartridge without specifying cartridge version
rhc app cartridge remove -a qphp -c mongodb --confirm
But we could control cartridges by cartridge type without version like:
rhc app cartridge add -a qphp -c mongodb
rhc app cartridge status -a qphp -c mongodb
rhc app cartridge start -a qphp -c mongodb
rhc app cartridge stop -a qphp -c mongodb
rhc app cartridge restart -a qphp -c mongodb
rhc app cartridge reload -a qphp -c mongodb

Version-Release number of selected component (if applicable):
devenv_2304
client: build from fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213 (ami-28ee5141)

How reproducible:
always


Steps to Reproduce:
1.Create app and embed cartridge like mongodb
2.rhc app cartridge remove -a qphp -c mongodb --confirm
3.
  
Actual results:
[qgong@localhost dev]$ rhc cartridge remove -a qruby19 -c mongodb --confirm
Password: 

Cartridge mongodb can't be found in application qruby19.

Valid cartridges:
mongodb-2.2

Expected results:
could remove mongodb without version, like:

rhc cartridge remove -a qruby19 -c mongodb --confirm

Additional info:
Comment 1 John (J5) Palmieri 2012-10-16 12:31:14 EDT
destructive commands require you specify the complete name

Note You need to log in before you can comment on or make changes to this bug.